﻿/* ==========================
   Base Styles
========================== */
main {
    background: #fff;
}

.fw-bold {
    font-weight: 600;
}

.visually-hidden {
    position: absolute;
    width: 1px;
    height: 1px;
    padding: 0;
    margin: -1px;
    overflow: hidden;
    clip: rect(0,0,0,0);
    border: 0;
}

span.imgIcon {
    vertical-align: text-bottom;
}

/* ==========================
   Filters
========================== */

.filterWrapper {
    border: 1px solid #C7C7C7;
    border-radius: 6px;
    margin-bottom: 15px;
    padding: 18px 15px 18px 15px;
}

.filterTitle {
    color: #000000;
    font-size: 22px;
    font-family: 'Gotham Medium';
    border-bottom: 1px solid #C7C7C7;
    padding-bottom: 10px;
    margin-bottom: 12px;
    display: flex;
    justify-content: space-between;
}

.filterSubtitle {
    color: #000000;
    font-size: 16px;
    font-family: 'Gotham Medium';
    margin-bottom: 12px;
    padding-top: 12px;
    border-top: 1px solid #C7C7C7;
}

.filterToggleIcon {
    display: none;
}

.filterWrapper .clearBtn {
    padding: 6px 12px;
    font-family: 'Gotham Book';
    font-size: 14px;
    margin-left: 10px;
}

.filterWrapper .showmoreBtn {
    display: flex;
    width: 100%;
    border-top: 1px solid #C7C7C7 !important;
    padding-top: 20px !important;
    color: #1b75de;
    font-size: 14px;
    font-family: 'Gotham Medium';
    margin-top: 6px !important;
}

    .filterWrapper .showmoreBtn .iconImg {
        display: inline-flex;
        margin-left: 4px;
        position: relative;
        top: -1px;
    }

.filterClose, .applyFilterBtn {
    display: none;
}

.showmoreBtn.rotate img {
    transform: rotate(180deg);
}


/* ==========================
   Filter Switch
========================== */

.filterSwitch .switch {
    position: relative;
    display: inline-block;
    min-width: 34px;
    height: 21px;
    margin-bottom: 0;
    margin-right: 0px;
}

    .filterSwitch .switch input {
        display: none;
    }

.filterSwitch .slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    -webkit-transition: .4s;
    transition: .4s;
    background: #bfc5c9;
    border: 1px solid #bfc5c9;
    border-radius: 16px;
    height: 21px;
}

    .filterSwitch .slider:before {
        position: absolute;
        content: "";
        height: 17px;
        width: 17px;
        left: 1px;
        bottom: 1px;
        background-color: #fff;
        -webkit-transition: .4s;
        transition: .4s;
        border-radius: 50%;
    }

.filterSwitch {
    display: flex;
}

    .filterSwitch input:checked + .slider {
        background-color: #0069A6;
    }

    .filterSwitch input:focus + .slider {
        box-shadow: 0 0 1px #2196F3;
    }

    .filterSwitch input:checked + .slider:before {
        -webkit-transform: translateX(14px);
        -ms-transform: translateX(14px);
        transform: translateX(14px);
        background: #fff;
    }

    .filterSwitch .slider:after {
        content: '';
        color: white;
        display: block;
        position: absolute;
        transform: translate(-50%,-50%);
        top: 50%;
        left: 50%;
        white-space: nowrap;
        padding-left: 18px;
    }

    .filterSwitch input:checked + .slider:after {
        content: '';
        white-space: nowrap;
        padding-left: 0;
    }

/* ==========================
   Top Filters & Sort
========================== */

.topFilterGrp {
    display: flex;
    align-items: end;
    justify-content: end;
}

    .topFilterGrp .form-group {
        margin-bottom: 0;
    }

.countFilter select {
    border-radius: 20px;
    border-color: #002D4A;
    font-family: 'Gotham Book';
    font-size: 14px;
    padding: 6px 30px 6px 10px;
}

.sortFilterGrp {
    margin-right: 8px;
    border-radius: 20px;
    border: 1px solid #002D4A;
    overflow: hidden;
    padding: 0px 0 0px 12px;
}

    .sortFilterGrp .form-group {
        display: flex;
        align-items: center;
    }

    .sortFilterGrp .form-group {
        display: flex;
        align-items: center;
        color: #002D4A;
        font-size: 14px;
    }

        .sortFilterGrp .form-group .control-label {
            font-family: 'Gotham Book';
            margin-bottom: 0;
            color: #002D4A;
            margin-right: 6px;
        }

        .sortFilterGrp .form-group select {
            padding: 0 32px 0 0;
            font-family: 'Gotham Medium';
            color: #002D4A;
            border-radius: 0;
            border: none;
            min-height: 38px;
        }

/* ==========================
   Cards
========================== */

.locationCard {
    border: 1px solid #C7C7C7;
    border-radius: 4px;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

    .locationCard .imgContainer {
        min-height: 152px;
    }

    .locationCard .content {
        padding: 10px 10px 25px 10px;
        font-size: 14px;
    }

.locationCardCol {
    margin-bottom: 15px;
}

.resultTitle {
    font-size: 22px;
    color: #000000;
    font-family: 'Gotham Medium';
}

.showEntires {
    font-size: 16px;
    font-family: 'Gotham Book';
}

.locationTitle {
    font-size: 14px;
    font-family: 'Gotham Medium';
    color: #005386;
    margin-bottom: 8px;
    line-height: 24px;
}

.newsFooter {
    padding: 0 10px 10px 10px;  
    flex-wrap: wrap;
}



/* ==========================
   Pagination
========================== */

.paginationWrapper {
    margin-top: 10px;
    margin-bottom: 20px;
}

.pagination .page-item {
    margin-right: 8px;
}

    .pagination .page-item .page-link {
        border-radius: 18px;
        border: 1px solid #c7c7c7 !important;
        background: transparent !important;
        font-size: 14px;
        color: #000000;
        padding: 5px 13px;
        font-family: 'Gotham Book';
    }

    .pagination .page-item.active .page-link, .pagination .page-item:hover .page-link {
        border: 1px solid #0069A6 !important;
        background: #0069A6 !important;
        color: #fff !important;
    }

    .pagination .page-item.disabled .page-link, .pagination .page-item.disabled .page-link:hover, .pagination .page-item.disabled:hover .page-link {
        color: #726f6f !important;
        pointer-events: none;
        border: 1px solid #c7c7c7 !important;
        background: transparent !important;
    }

    .pagination .page-item:last-child .page-link {
        border-color: #0069A6 !important;
        color: #0069A6;
    }
   .pagination .page-item:hover{
        cursor:pointer !important;
    }

/* ==========================
   Tooltips & Descriptions
========================== */

.desc {
    position: relative !important;
    display: inline-block !important;
}

.newstooltip {
    position: relative;
    display: inline;
    font-family: 'ProductSansBold';
    color: #606060;
    cursor: pointer;
    padding-left: 2px;
    font-weight: bold;
}

.desc .tooltiptext {
    visibility: hidden;
    background-color: #343a40;
    color: #ffffff;
    border-radius: 7px;
    padding: 5px 10px;
    position: absolute;
    z-index: 1000;
    bottom: 130%;
    left: 0;
    white-space: normal;
    max-width: 350px;
}

    .desc .tooltiptext::after {
        content: "";
        position: absolute;
        top: 100%;
        left: 20px;
        border: 6px solid;
        border-color: #343a40 transparent transparent transparent;
    }

.newstooltip:hover + .tooltiptext {
    visibility: visible;
}

.date-select {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3E%3Cpath fill='%236c757d' d='M4.646 6.646a.5.5 0 0 1 .708 0L8 9.293l2.646-2.647a.5.5 0 0 1 .708.708l-3 3a.5.5 0 0 1-.708 0l-3-3a.5.5 0 0 1 0-.708z'/%3E%3C/svg%3E");
    background-repeat: no-repeat;
    background-position: right 0.75rem center;
    background-size: 16px 12px;
    cursor: pointer;
}

.gridCard {
    display: flex;
    gap: 15px;
    margin-bottom: 20px;
    display: flex;
    background: #fff;
    border: 1px solid #C7C7C7;
    border-radius: 8px;
    margin-bottom: 10px;
    padding: 12px 12px 0 12px;
}

.imgContainer img {
    aspect-ratio: 20 / 10 !important;
    overflow: hidden !important;
    object-fit: cover !important;
}

.content {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
}

.title {
    font-size: 14px;
    font-family: 'Gotham Medium';
    color: #005386;
    margin-bottom: 8px;
    line-height: 24px;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.asideGridList .gridCard {
    display: flex;
    gap: 12px;
    align-items: flex-start;
    margin-bottom: 18px;
}

.gridCard .imgcontainer {
    flex: 0 0 90px;
    width: 90px;
    height: 90px;
}

    .gridCard .imgcontainer img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        border-radius: 6px;
    }

.gridCard .content {
    flex: 1;
}

.gridCard .title {
    margin-bottom: 6px;
    font-size: 16px;
}

.asideNavTitle {
    color: #005386;
    font-size: 30px;
    font-family: 'Gotham Medium';
}
.switch input[type="checkbox"] {
    display: block !important;
    width: 0px !important;
}

    .switch input[type="checkbox"]:focus + .slider {
        outline: 2px solid #005fcc !important;
        outline-offset: 3px !important;
        box-shadow: 0 0 8px rgba(0, 95, 204, 0.6) !important;
}
/* ==========================
   Media Queries
========================== */

@media(max-width:1199px) {


    .locationCard .imgContainer {
        min-height: 110px;
    }

    .resultTitle {
        font-size: 20px;
    }

    .showEntires {
        font-size: 14px;
    }

    .filterTitle {
        font-size: 20px;
    }

    .newsFooter {
        padding: 0 10px 10px 10px;     
        flex-wrap: wrap;
    }

    .locationTitle {
        font-size: 16px;
        margin-bottom: 4px;
    }
}

@media(max-width:1023px) {

    .locationCard .imgContainer {
        min-height: 98px;
    }
}

@media(max-width:991px) {
    .filterWrapper .btnGrp .btn {
        padding: 7px 10px;
    }

    .filterTitle {
        font-size: 18px;
        flex-direction: column;
    }

    .filterWrapper .clearBtn {
        margin-top: 10px;
    }

    .resultTitle {
        font-size: 18px;
    }
}

@media(max-width:767px) {
    .filterToggle {
        display: none;
    }

    .filterToggleCol {
        position: relative;
    }

    .filterToggleIcon {
        display: inline-flex;
        position: absolute;
        top: -33px;
        right: -10px;
        cursor: pointer;
        z-index: 99;
    }

    .filterToggle .pageTitle {
        font-size: 20px;
        margin-bottom: 20px;
        display: none;
    }

    .topFilterGrp {
        justify-content: start;
    }

    .resultTitle {
        margin-top: 15px;
    }

    .showEntires {
        margin-bottom: 15px;
    }

    .sortFilterGrp .form-group select {
        min-height: 32px;
    }

    .countFilter select {
        padding: 5px 30px 4px 10px;
        min-height: 32px;
    }

    .filterWrapper .clearBtn {
        margin-top: 0;
    }

    .filterTitle {
        flex-direction: row;
    }

    .filterClose {
        display: flex;
        justify-content: end;
        margin-bottom: 15px;
        cursor: pointer;
    }

    .filterWrapper {
        position: absolute;
        background: #fff;
        height: 75%;
        bottom: -15px;
        left: 0;
        width: 100%;
        z-index: 999;
        overflow-y: auto;
    }

    .fixedHeight {
        height: 100vh;
        overflow: hidden;
        background: rgba(0,0,0,0.4)
    }

    .applyFilterBtn {
        display: block;
    }

    .fixedHeight .breadcrumbSec, .fixedHeight main {
        background: unset;
    }

    .fixedHeight .logoWrapper img {
        opacity: 0.1;
    }
}
